---
title: "Retrieve JC Batches By Code"
slug: "retrieve-jc-batches-by-code"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/retrieve-jc-batches-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve JC Batches By Code

Get/jc-rest-api/rest/1/jcbatch

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Select Job Batch
- By UUID

#### Select Job Batch

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| compCode | Company Code | 001 |

#### By UUID

This is an optional finder for querying a specific Job Batch by row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /jc-rest-api/rest/1/jcbatch/EC687C254CA70FF1E05316821FAC9C41 |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleselectJobBatch;compCode=001
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleJcbchVUuid:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='9bddc1c5-966c-4301-ae75-a9c1d348897b'>application/json</option>
</select>

```json
{
  "items": [
    {
      "JcbchAmt": 0,
      "JcbchAutoCreatedFlag": "N",
      "JcbchCompCode": "001",
      "JcbchCostTypeCode": null,
      "JcbchDate": "2015-05-06T19:50:46Z",
      "JcbchDsrcCode": null,
      "JcbchName": "BILL 2015-05-06 C",
      "JcbchNum": 56438,
      "JcbchPostDate": "2015-05-28T15:42:00Z",
      "JcbchTranDate": null,
      "JcbchTypeCode": "C",
      "JcbchUser": "BILL",
      "JcbchIuCreateDate": "2015-05-06T19:50:46Z",
      "JcbchIuUpdateDate": "2015-05-28T15:42:00Z",
      "JcbchVUuid": "EC687C2548470FF1E05316821FAC9C41",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/jc-rest-api/rest/1/jcbatch/EC687C2548470FF1E05316821FAC9C41",
          "name": "jcbatch",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/jc-rest-api/rest/1/jcbatch/EC687C2548470FF1E05316821FAC9C41",
          "name": "jcbatch",
          "kind": "item"
        }
      ]
    }
  ],
  "totalResults": 1012,
  "count": 1,
  "hasMore": true,
  "limit": 1,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/jc-rest-api/rest/1/jcbatch",
      "name": "jcbatch",
      "kind": "collection"
    }
  ]
}
```

object
